Bug 162406

Summary: NPE in o.n.m.bugtracking.ui.selectors.RepositorySelectorBuilder
Product: connecteddeveloper Reporter: Tomas Stupka <tstupka>
Component: Issuetracking FrameworkAssignee: Marian Petras <mpetras>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Tomas Stupka 2009-04-10 15:14:51 UTC
Product Version         = NetBeans IDE Dev (Build 090403)
  Operating System        = Mac OS X version 10.5.6 running on i386
  Java; VM; Vendor        = 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133; Apple Inc.
  Runtime                 = Java(TM) 2 Runtime Environment, Standard Edition 1.5.0_16-b06-284

1.) services tab > Issue Tracker > edit on whatever repository or try to create a repository -> NPE
2.) the same in find issues or report an issue when selecting a repository

java.lang.NullPointerException
	at
org.netbeans.modules.bugtracking.ui.selectors.RepositorySelectorBuilder.getSelectedRepository(RepositorySelectorBuilder.java:437)
	at
org.netbeans.modules.bugtracking.ui.selectors.RepositorySelectorBuilder$ValidatingDialogDescriptor.updateHelpId(RepositorySelectorBuilder.java:356)
	at
org.netbeans.modules.bugtracking.ui.selectors.RepositorySelectorBuilder$ValidatingDialogDescriptor.<init>(RepositorySelectorBuilder.java:342)
	at
org.netbeans.modules.bugtracking.ui.selectors.RepositorySelectorBuilder.createDialogDescriptor(RepositorySelectorBuilder.java:329)
	at org.netbeans.modules.bugtracking.ui.selectors.SelectorPanel.edit(SelectorPanel.java:80)
	at org.netbeans.modules.bugtracking.ui.selectors.RepositorySelector.edit(RepositorySelector.java:77)
	at org.netbeans.modules.bugtracking.util.BugtrackingUtil.editRepository(BugtrackingUtil.java:152)
	at org.netbeans.modules.bugtracking.util.BugtrackingUtil.editRepository(BugtrackingUtil.java:156)
	at org.netbeans.modules.bugtracking.ui.nodes.RepositoryNode$3.actionPerformed(RepositoryNode.java:91)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1882)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2202)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:334)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1051)
	at apple.laf.CUIAquaMenuItem.doClick(CUIAquaMenuItem.java:119)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1092)
	at java.awt.Component.processMouseEvent(Component.java:5602)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3135)
	at java.awt.Component.processEvent(Component.java:5367)
	at java.awt.Container.processEvent(Container.java:2010)
	at java.awt.Component.dispatchEventImpl(Component.java:4068)
	at java.awt.Container.dispatchEventImpl(Container.java:2068)
	at java.awt.Component.dispatchEvent(Component.java:3903)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4256)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:3936)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:3866)
	at java.awt.Container.dispatchEventImpl(Container.java:2054)
	at java.awt.Window.dispatchEventImpl(Window.java:1801)
	at java.awt.Component.dispatchEvent(Component.java:3903)
[catch] at java.awt.EventQueue.dispatchEvent(EventQueue.java:463)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:176)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)
Comment 1 Marian Petras 2009-04-10 16:34:21 UTC
Fixed.

Changeset:
e3836317a9aa
Comment 2 Tomas Stupka 2009-04-10 20:39:08 UTC
still got the NPE for edit in services tab
Comment 3 Marian Petras 2009-04-10 23:37:31 UTC
Fixed.

Changeset:
f30e457356bc
Comment 4 Quality Engineering 2009-04-11 06:53:04 UTC
Integrated into 'main-golden', will be available in build *200904110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e3836317a9aa
User: Marian Petras <mpetras@netbeans.org>
Log: fixed bug #162406 ("NPE in o.n.m.bugtracking.ui.selectors.RepositorySelectorBuilder")
Comment 5 Quality Engineering 2009-04-13 07:41:25 UTC
Integrated into 'main-golden', will be available in build *200904130201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f30e457356bc
User: Marian Petras <mpetras@netbeans.org>
Log: second attempt to fix bug #162406  ("NPE in o.n.m.bugtracking.ui.selectors.RepositorySelectorBuilder")
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo